> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete backup

> Deletes the backup record, its parent file, and the blob when no other references remain.



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json delete /api/v1/backups/{file_uuid}
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/backups/{file_uuid}:
    delete:
      tags:
        - backups
      summary: Delete backup
      description: >-
        Deletes the backup record, its parent file, and the blob when no other
        references remain.
      parameters:
        - description: File UUID
          name: file_uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.DeleteFileResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.DeleteFileResponse:
      type: object
      properties:
        file_uuid:
          type: string
        status:
          $ref: '#/components/schemas/models.FileStatus'
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.FileStatus:
      type: string
      enum:
        - pending
        - uploading
        - available
        - tombstoned
        - deleted
      x-enum-varnames:
        - FileStatusPending
        - FileStatusUploading
        - FileStatusAvailable
        - FileStatusTombstoned
        - FileStatusDeleted
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````